Package ru.bitel.bgbilling.modules.ipn.common.bean

# Class RuleTypeLog

java.lang.Object
ru.bitel.bgbilling.modules.ipn.common.bean.RuleTypeLog

    public class RuleTypeLog
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RuleTypeLog()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getContractId()` |
  `java.util.Date` | `getDate()` |
  `int` | `getGateId()` |
  `int` | `getId()` |
  `java.lang.String` | `getRuleTypeName()` |
  `int` | `getTypeId()` |
  `int` | `getUserId()` |
  `java.lang.String` | `getUserName()` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setDate​(java.util.Date date)` |
  `void` | `setGateId​(int gateId)` |
  `void` | `setId​(int id)` |
  `void` | `setRuleTypeName​(java.lang.String ruleTypeName)` |
  `void` | `setTypeId​(int typeId)` |
  `void` | `setUserId​(int userId)` |
  `void` | `setUserName​(java.lang.String userName)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RuleTypeLog

    public RuleTypeLog()

- ## Method Details

  - ### getGateId

    public int getGateId()

  - ### setGateId

    public void setGateId​(int gateId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getTypeId

    public int getTypeId()

  - ### setTypeId

    public void setTypeId​(int typeId)

  - ### getDate

    public java.util.Date getDate()

  - ### setDate

    public void setDate​(java.util.Date date)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId​(int userId)

  - ### getRuleTypeName

    public java.lang.String getRuleTypeName()

  - ### setRuleTypeName

    public void setRuleTypeName​(java.lang.String ruleTypeName)

  - ### getUserName

    public java.lang.String getUserName()

  - ### setUserName

    public void setUserName​(java.lang.String userName)